Skip to main content
PATCH
/
v1
/
boards
/
{boardId}
/
chats
/
{chatId}
curl -X PATCH "https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890/chats/b2c3d4e5-f6a7-8901-bcde-f12345678901" \
  -H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6" \
  -H "Content-Type: application/json" \
  -d '{"title": "Marketing brainstorm (final)"}'
{
  "object": "chat_thread",
  "data": {
    "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "title": "Marketing brainstorm (final)",
    "node_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
    "created_at": "2026-03-15T10:30:00.000Z",
    "updated_at": "2026-03-15T14:00:00.000Z",
    "last_message_at": "2026-03-15T12:50:00.000Z"
  }
}
boardId
string
required
Board UUID.
chatId
string
required
Chat thread UUID.
title
string
New title. 1-255 characters.
node_id
string
New node ID to associate this chat with.
At least one field must be provided.
curl -X PATCH "https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890/chats/b2c3d4e5-f6a7-8901-bcde-f12345678901" \
  -H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6" \
  -H "Content-Type: application/json" \
  -d '{"title": "Marketing brainstorm (final)"}'
{
  "object": "chat_thread",
  "data": {
    "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "title": "Marketing brainstorm (final)",
    "node_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
    "created_at": "2026-03-15T10:30:00.000Z",
    "updated_at": "2026-03-15T14:00:00.000Z",
    "last_message_at": "2026-03-15T12:50:00.000Z"
  }
}